Get Authentication Status
GET
/api/v1/auth/status
const url = 'https://example.com/api/v1/auth/status';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/auth/status \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AuthStatusResponse
object
authenticated
required
Authenticated
boolean
auth_type
required
Auth Type
string
workspace
required
Workspace
string
client_id
required
Client Id
string
nexa_client_configured
required
Nexa Client Configured
boolean
Examplegenerated
{ "authenticated": true, "auth_type": "example", "workspace": "example", "client_id": "example", "nexa_client_configured": true}